void aiLuaOnDamage(worm *player, worm *enemy, int amount);

void aiLuaSetConsts();

int aiLuaAim(lua_State *L);
int aiLuaAimToVec(lua_State *L);
int aiLuaTrace(lua_State *L);
int aiLuaPrint(lua_State *L);

int getWormViewport(lua_State *L);
int getWormPos(lua_State *L);
int getWormVel(lua_State *L);
int getWormAim(lua_State *L);
int getWormDir(lua_State *L);
int getWormTeam(lua_State *L);
int getWormHealth(lua_State *L);
int getWormFlag(lua_State *L);

int getRopePos(lua_State *L);

int findWaypoint(lua_State *L);
int findPath(lua_State *L);
int getWaypointPos(lua_State *L);

int getFlag(lua_State *L);


